#include <file_utilities.h>

int lecture_file_sm(const char * fileName)
{
    unsigned int i;

    FILE *infile;
    infile = fopen(fileName, "rb");  // open explicitely a binary file !!! ...
    if(infile == NULL) {
        printf("Hello I cannot open the file!\n");
        return 0;
    }
    (void) fread(compressed_spectral_matrix_f0, sizeof(compressed_spectral_matrix_f0), 1, infile);
    (void) fclose(infile);
    //printf("size of compressed_spectral_matrix_f0 : %d\n", sizeof(compressed_spectral_matrix_f0));
    printf("compressed_spectral_matrix_f0 : \n");
    for (i = 0; i < 15; i++) {
      printf("Element number %.2d (%.2d & %.2d) => Re:%16.8e  Im:%16.8e\n", i+1, 2*i, 2*i+1,
             compressed_spectral_matrix_f0[2*i],
             compressed_spectral_matrix_f0[2*i+1]);
    }

    return 0;
}

